package com.jasamedika.medifirst2000.vo;

import java.util.Date;
import java.util.HashSet;
import java.util.Set;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;

import com.fasterxml.jackson.annotation.JsonBackReference;
import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;


public class PraAnestesiDokterBedahHeaderVO extends BaseTransactionVO {
	@ManyToOne
	@JoinColumn(name = "ObjectPasienFk")
	private AntrianPasienDiPeriksaVO pasienDaftar;
	
	@ManyToOne
	@JoinColumn(name="DokterFk")
	private PegawaiVO dokterFk;
	
	@Column(name = "TglAnestasi")
	private Date tglAnestasi;
	
	@JsonBackReference
	@OneToMany(cascade=CascadeType.ALL,fetch = FetchType.LAZY, mappedBy = "praAnestesiDokterBedahHeader")
	private Set<PraAnestesiDokterBedahVO> praAnestesiDokterBedah = new HashSet<PraAnestesiDokterBedahVO>();

	public AntrianPasienDiPeriksaVO getPasienDaftar() {
		return pasienDaftar;
	}

	public void setPasienDaftar(AntrianPasienDiPeriksaVO pasienDaftar) {
		this.pasienDaftar = pasienDaftar;
	}

	public PegawaiVO getDokterFk() {
		return dokterFk;
	}

	public void setDokterFk(PegawaiVO dokterFk) {
		this.dokterFk = dokterFk;
	}

	public Date getTglAnestasi() {
		return tglAnestasi;
	}

	public void setTglAnestasi(Date tglAnestasi) {
		this.tglAnestasi = tglAnestasi;
	}

	public Set<PraAnestesiDokterBedahVO> getPraAnestesiDokterBedah() {
		return praAnestesiDokterBedah;
	}

	public void setPraAnestesiDokterBedah(Set<PraAnestesiDokterBedahVO> praAnestesiDokterBedah) {
		this.praAnestesiDokterBedah = praAnestesiDokterBedah;
	}
	
	
}
